I found spell error on auto code generation.

cancel
Showing results for 
Search instead for 
Did you mean: 

I found spell error on auto code generation.

Jump to solution
382 Views
kenji
Contributor IV

Hi Team

I'm using i.MXRT1170 and I found spell error on auto code generation.

II hope it will be fixed.

 

[Bug details] 

wrong = triggerPrioirtyPolicy
correct = triggerPriorityPolicy

kenji_0-1635153488597.png

kenji_1-1635153520659.png

[IDE version I use]

kenji_2-1635153738211.png

 

 

 

 

 

Tags (1)
0 Kudos
1 Solution
359 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Kenji,

I agree that having to fix this typo manually is not ideal.

I haven't been able to reproduce this error, but my IDE is a slightly newer build. What I did found weird is that the version of the Config Tools integrations is very different. 

Would you please provide the Peripherals Tool version and, would you please try installing a newer MCUXpresso IDE version to see if perhaps this error was already fixed in a subsequent release?

2021-10-26_16-49-22.jpg

 

Regards,
Gustavo

View solution in original post

0 Kudos
6 Replies
375 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Kenji,

Thank you for pointing out this typo which leads to errors when setting up the ADC.

I tried replicating it with the MCUXpresso 11.4 and the i.MXRT1170-EVK SDK 2.10.1 to no avail. Would it be possible for you to please share the steps you followed to get this error? Or does it happen any time you configure the LPADC1?

Regards,
Gustavo

0 Kudos
369 Views
kenji
Contributor IV

Hi, gusarambula-san

Bug happens always when re-config the ADC settings.

On default IDE settings, rewrite the peripherals.c is not permitted.
So, it's a little work to fix the file every time.

I hope the bug fix as soon as possible.

 

0 Kudos
360 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Kenji,

I agree that having to fix this typo manually is not ideal.

I haven't been able to reproduce this error, but my IDE is a slightly newer build. What I did found weird is that the version of the Config Tools integrations is very different. 

Would you please provide the Peripherals Tool version and, would you please try installing a newer MCUXpresso IDE version to see if perhaps this error was already fixed in a subsequent release?

2021-10-26_16-49-22.jpg

 

Regards,
Gustavo

0 Kudos
351 Views
kenji
Contributor IV

Hi @gusarambula -san

 

I re-install the IDE. And now my Config Tool and peripheral tool version is same as yours.

But error not solved. I hope it will be fixed in the next update. Thank you.

kenji_1-1635306004460.png

 

kenji_0-1635306798883.png

kenji_1-1635307119650.png

kenji_2-1635307139164.png

 

 

0 Kudos
327 Views
gusarambula
NXP TechSupport
NXP TechSupport

Hello Kenji,

My apologies for the inconvenience of this bug. I haven't been able to reproduce it so that I can escalate to the SDK team.

Would it be possible for you to please attach your project to inspect it?

And I would like to confirm, does the same issue remain when creating a new project or importing an example on the MCUXpresso IDE?

Regards,
Gustavo

0 Kudos
355 Views
kenji
Contributor IV

Hi @Gustavo -san


This is Peripherals Tool verion I'm using.

kenji_1-1635294112847.png

 

0 Kudos